Create Object Storage Key
POST/v1/storage/keys
Create an S3 access key for a project’s Buckets in a region. The response is the only one that includes the secret access key.
Create Object Storage Key
curl https://api.nirvanalabs.io/v1/storage/keys \
-H 'Content-Type: application/json' \
-H "Authorization: Bearer $NIRVANA_LABS_API_KEY" \
-d '{
"name": "ci-uploads",
"project_id": "123e4567-e89b-12d3-a456-426614174000",
"region": "us-sva-2"
}'{
"id": "123e4567-e89b-12d3-a456-426614174000",
"access_key": "0555B35654AD1656D804",
"created_at": "2025-01-01T00:00:00Z",
"name": "ci-uploads",
"project_id": "123e4567-e89b-12d3-a456-426614174000",
"region": "us-sva-2",
"secret": "h7GhxuBLTrlhVUyxSPUKUV8r/2EI4ngqJxD7iBdBYLhwluN30JaT3Q==",
"status": "ready",
"updated_at": "2025-01-01T00:00:00Z"
}Returns Examples
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"access_key": "0555B35654AD1656D804",
"created_at": "2025-01-01T00:00:00Z",
"name": "ci-uploads",
"project_id": "123e4567-e89b-12d3-a456-426614174000",
"region": "us-sva-2",
"secret": "h7GhxuBLTrlhVUyxSPUKUV8r/2EI4ngqJxD7iBdBYLhwluN30JaT3Q==",
"status": "ready",
"updated_at": "2025-01-01T00:00:00Z"
}